
FreeNAS - Feature #23416

Add Release Notes Area to Update Page

04/17/2017 08:49 AM - Michael L

Status: Resolved Estimated time: 0.00 hour

Priority: Nice to have   

Assignee: Nesma Shah   

Category: GUI (new)   

Target version: Master - FreeNAS Nightlies   

Severity: New Needs Merging: Yes

Reason for Closing:  Needs Automation: No

Reason for Blocked:  Support Suite Ticket: n/a

Needs QA: Yes Hardware

Configuration:

 

Needs Doc: Yes   

Description

As Corral had, it was nice to see the change log (especially for nightlies whether to upgrade or not) and release notes in the Update

pane. If we could add that to the old 9.10 and/or new 9.10 interface that'd be appreciated. Beats having to try and find it in the Index

of/ page. Thanks.

History

#1 - 04/17/2017 08:49 AM - Michael L

- File debug-bMLFreeNAS1-20170417104909.txz added

#2 - 04/17/2017 09:19 AM - Bonnie Follweiler

- Assignee set to William Grzybowski

#3 - 04/17/2017 09:21 AM - William Grzybowski

- Status changed from Unscreened to Closed: Behaves correctly

You can see the changelog as soon as you click to Check Now. That does not work for you?

#4 - 04/17/2017 09:24 AM - Michael L

- File FN_9.10OldUpdate.JPG added

- File FN_9.10NewUpdate.JPG added

Currently in either it does not, please see screenshots

#5 - 04/17/2017 09:28 AM - William Grzybowski

Michael L wrote:

Currently in either it does not, please see screenshots

 

Click in "Check Now", in the old UI.
#6 - 04/17/2017 09:32 AM - Michael L

William Grzybowski wrote:

Michael L wrote:

Currently in either it does not, please see screenshots

 

Click in "Check Now", in the old UI.

 

Sorry, my bad on that with the old UI, would it still be possible to put it within the normal pane instead of a popup?

The new UI I click check now as well and it does not show.

#7 - 04/17/2017 09:38 AM - William Grzybowski

- Category changed from 1 to GUI (new)

- Status changed from Closed: Behaves correctly to Screened

- Assignee changed from William Grzybowski to Erin Clark

Michael L wrote:

William Grzybowski wrote:

Michael L wrote:

Currently in either it does not, please see screenshots

 

Click in "Check Now", in the old UI.

 

Sorry, my bad on that with the old UI, would it still be possible to put it within the normal pane instead of a popup?

The new UI I click check now as well and it does not show.

 

We are not making any structural changes in the old UI.

I'll redirect this bug to thew new UI.

Thanks

11/30/2020 2/3



#8 - 04/17/2017 09:49 AM - William Grzybowski

- Status changed from Screened to Unscreened

#9 - 04/17/2017 05:33 PM - Erin Clark

- Status changed from Unscreened to Screened

#10 - 09/07/2017 11:26 AM - Dru Lavigne

- Status changed from Screened to 46

Erin: is this is the new UI yet or should it be targetted for 11.1?

#11 - 09/07/2017 04:46 PM - Erin Clark

- Target version set to 11.1

The websocket call from the middleware doesn't exist for this yet so I will mark it as 11.1 for now

#12 - 09/08/2017 04:17 AM - Dru Lavigne

- Status changed from 46 to Fix In Progress

#13 - 10/11/2017 06:06 AM - Dru Lavigne

- File deleted (debug-bMLFreeNAS1-20170417104909.txz)

#14 - 10/11/2017 06:06 AM - Dru Lavigne

- Assignee changed from Erin Clark to Vaibhav Chauhan

- Private changed from Yes to No

#15 - 10/16/2017 02:43 PM - Vaibhav Chauhan

- Status changed from Fix In Progress to Unscreened

- Assignee changed from Vaibhav Chauhan to Nesma Shah

@nesma do you mind taking a look at this one ?

#16 - 10/25/2017 10:20 AM - Dru Lavigne

- Target version changed from 11.1 to Master - FreeNAS Nightlies

#17 - 10/27/2017 09:34 PM - Nesma Shah

- Status changed from Unscreened to Screened

#18 - 10/28/2017 02:28 AM - Nesma Shah

- Status changed from Screened to Ready For Release

#19 - 10/28/2017 09:27 AM - Dru Lavigne

- Status changed from Ready For Release to Resolved

Files

FN_9.10OldUpdate.JPG 136 KB 04/17/2017 Michael L

FN_9.10NewUpdate.JPG 130 KB 04/17/2017 Michael L
